Skip to main content
PATCH
/
partner
/
{partner_id}
/
course
/
{course_id}
코스 수정
curl --request PATCH \
  --url https://api.example.com/partner/{partner_id}/course/{course_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "course_key": "<string>",
  "status": "draft",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "description": "<string>"
}
'
{
  "title": "<string>",
  "course_key": "<string>",
  "id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "status": "draft",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

course_id
integer
required
Required range: x >= 1
partner_id
integer
required

강사 ID

Body

application/json
title
string | null
course_key
string | null
status
enum<string> | null
Available options:
draft,
active,
archived
start_date
string<date> | null
end_date
string<date> | null
description
string | null

Response

Successful Response

title
string
required
course_key
string
required
id
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
status
enum<string> | null
Available options:
draft,
active,
archived
start_date
string<date> | null
end_date
string<date> | null
description
string | null